package Visual_DVM_2021.Passes.All;
import Common.Current_;
import _VisualDVM.Current;
import Common.Visual.Windows.Dialog.PercentsForm;
import _VisualDVM.Global;
public class UpdateBugReportProgress extends UpdateBugReportField {
    @Override
    public String getIconPath() {
        return "/icons/Progress.png";
    }
    @Override
    public String getButtonText() {
        return "";
    }
    @Override
    protected boolean canStart(Object... args) throws Exception {
        if (!Global.mainModule.Check(Log, Current.BugReport))
            return false;
        PercentsForm f = new PercentsForm();
        if (f.ShowDialog("Завершённость работы над ошибкой", Global.mainModule.getBugReport().percentage))
            return super.canStart("percentage", f.Result);
        return false;
    }
    @Override
    protected boolean canUpdate() {
        return Global.mainModule.getAccount().ExtendedCheckAccessRights(target, Log);
    }
}
